module RackDispatch
  class TemplateDestination
    def initialize(path)
      @path = File.expand_path(File.join('templates', String(path)), Dir.pwd) + '.liquid'
    end

    def call(request, response)
      response['Content-Type'] = 'text/html'
      response.write(render(request.params))
    end

    def render(data = {})
      Liquid::Template.parse(File.read(@path)).render(data)
    end
  end
end
